Subject: Re: [PATCH 2/3] rt2x00 drivers: rt61pci

From: Ivo van Doorn <[email-masked]>
Date: Sat, 29 Apr 2006 21:35:40 +0200

On Saturday 29 April 2006 18:10, Francois Romieu wrote:
> Ivo van Doorn <[email-masked]> :
> [...]
> > Not sure about that either. I usually choose the type of the counter
> > depending on the max size of that counter.
> 
> It is not arch-neutral. powerpc favors unsigned int over int but I am
> too lazy to check if the size matters.

Ok, I'll make sure the counters will made of the unsigned int type.

> [...]
> > Perhaps, but I prefer the usage of the name "counter".
> > I am not sure if there is a coding style about this? If so I could
> > rename "counter" to "i".
> 
> Chapter 4 of Documentation/CodingStyle goes in this direction.
> The document is not meant to be a taken too literally though.
> 
> The repetitive use of 'counter' + foo[counter].blah tends to be a
> bit bloaty.
> 
> [...]
> > I'll create a bugreport in the rt2x00 project bugzilla
> > with some of the coding style change requests.
> 
> I will not complain if you open a bugreport to provide a git repo
> as well.
> 
> /me hides...

The git repository has indeed been discussed between the
rt2x00 developers before. And at the moment we see no major
benefit from using git. We need to have something like CVS
for regular users to use rt2x00 and we don't want them to
use git only to use the drivers.
In the CVS tree we have multiple backwards compatibility
fixes for both rt2x00 as the dscape stack to make it work
on kernel 2.6.13 and above. So making a git repository
would mean a lot duplicate work, since we have to keep
2 trees up to date, as well as making sure the wireless-dev
tree contains an up to date version.